Package org.gradle.language.nativeplatform

# Interface ComponentWithSharedLibrary

All Superinterfaces:
  `ComponentWithLinkFile`, `ComponentWithNativeRuntime`, `ComponentWithRuntimeFile`, `Named`, `SoftwareComponent`

All Known Subinterfaces:
  `CppSharedLibrary`, `SwiftSharedLibrary`

public interface ComponentWithSharedLibrary extends ComponentWithLinkFile, ComponentWithRuntimeFile
Represents a native component that produces a shared library.

Since:
  4.5

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.gradle.api.Named

  `Named.Namer`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `FileCollection`
  `getLinkLibraries()`
  Returns the link libraries to use to link the shared library.
  `Provider<? extends LinkSharedLibrary>`
  `getLinkTask()`
  Returns the link task for the shared library.

  ### Methods inherited from interface org.gradle.language.nativeplatform.ComponentWithLinkFile

  `getLinkFile, getLinkFileProducer`

  ### Methods inherited from interface org.gradle.language.nativeplatform.ComponentWithNativeRuntime

  `getBaseName, getTargetMachine, getToolChain, isDebuggable, isOptimized`

  ### Methods inherited from interface org.gradle.language.nativeplatform.ComponentWithRuntimeFile

  `getRuntimeFile`

  ### Methods inherited from interface org.gradle.api.Named

  `getName`

- ## Method Details

  - ### getLinkLibraries

    FileCollection getLinkLibraries()
    Returns the link libraries to use to link the shared library. Includes the link libraries of the component's dependencies.

  - ### getLinkTask

    Provider<? extends LinkSharedLibrary> getLinkTask()
    Returns the link task for the shared library.